#header-swiss{
    display: flex;
    justify-content: space-between;
    padding-left: 3px;
    padding-right: 5px;
    background-color: #f0f8ff30;
    border-radius: 5px;
    z-index: 98;
}
#header-swiss-left{
    display: flex;
    align-items: center;
}
#header-swiss-right{
    display: flex;
    align-items: center;
}
#to-menu-button-swiss{
    padding: 5px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
}
#to-menu-button-swiss:hover{
    background: none;
}
#swiss-page{
    display: flex;
    justify-content: center;
}
#swiss-scene-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 1200px;
    width: 100%;
}
#overlay-swiss {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(125 125 125 / 18%);
    z-index: 89; /* Устанавливаем высокий z-index, чтобы блок был поверх других элементов */
    display: flex;
    flex-direction: column;
    justify-content: center; /* Центрирование по горизонтали */
    /* display: none; */
}
#swiss-block-overlay{
    /* min-width: 300px;
    max-width: 800px; */
    min-height: 300px;
    background-color: white;
    border-radius: 10px;
    display: flex;
    /* justify-content: center; */
    flex-direction: column;
    align-items: center;
    padding-bottom: 20px;
    box-shadow: 0 7px 3px rgb(0 0 0 / 20%);
    padding-top: 5px;
    padding-top: 10px;
    height: 600px;
}
#swiss-block-overlay .content{
    width: 320px;
    margin-top: 20px;
}
table {
  border-collapse: collapse;
  border: 1px solid rgb(140 140 140);
  font-family: sans-serif;
  font-size: 0.8rem;
  letter-spacing: 1px;
}

caption {
    caption-side: top;
    padding: 10px;
}

thead,
tfoot {
  background-color: rgb(204 204 204 / 11%);
}

th,
td {
  /* border: 1px solid rgb(160 160 160); */
  padding: 8px 10px;
  text-align: center;
}

td:last-of-type {
  text-align: center;
}

#swiss-new-table table tbody > tr:nth-of-type(even) {
  background-color: rgb(247 247 247);
}

tfoot th {
  text-align: right;
}

tfoot td {
  font-weight: bold;
}
.ava-swiss-table{
    width: 30px;
    border-radius: 27px;
}
.swiss-wait-text{
    font-family: sans-serif;
}
#swiss-join-button{
    margin-top: 10px;
    border: 1px solid gray;
    background: #ffffff;
    padding: 5px;
    color: #03631d;
    font-weight: 600;
    cursor: pointer;
}
#swiss-join-button:hover{
    background: #ebebeb;
}

/* // */

#deck-swiss{
    display: flex;
    min-height: 70px;
}
#cards-on-table-block-swiss{
    padding-top: 10px;
    display: flex;
    padding-left: 5px;
}
#commands-block-swiss button {
    padding: 8px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    font-size: 17px;
    cursor: pointer;
    display: none;
}
#commands-block-swiss button:hover {
    background: #b7bfb5;
}
#commands-block-swiss{
    height: 60px;
}
#bottom-swiss{
    display: flex;
    justify-content: center;
    align-items: flex-start;
}
#overlay-swiss-game-over{
    display: 'none';
}

/* /// */

#game-over-overlay-swiss{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(125 125 125 / 50%);
    z-index: 89; /* Устанавливаем высокий z-index, чтобы блок был поверх других элементов */
    display: flex;
    justify-content: center; /* Центрирование по горизонтали */
    align-items: center; /* Центрирование по вертикали */
    display: none;
    z-index: 99;
}
.game-over-overlay-swiss-inner{
    width: 300px;
    min-height: 100px;
    background-color: white;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-bottom: 20px;
    box-shadow: 0 7px 3px rgb(0 0 0 / 20%);
    padding-top: 5px;
}
.game-over-overlay-swiss-inner .content .title{
    text-align: center;
    font-family: sans-serif;
    font-size: 17px;
}
.game-over-overlay-swiss-inner .buttons{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 25px;
}
.game-over-overlay-swiss-inner .buttons button{
    padding: 5px 8px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    font-size: 17px;
    cursor: pointer;
}
.game-over-overlay-swiss-inner .buttons button:hover{
    background: none;
}
#looser-swiss, #winners-swiss{
    padding: 16px;
}
#looser-swiss p, #winners-swiss p{
    font-size: 16px;
    font-family: sans-serif;
}
#swiss-leaderboard{
    display: flex;
    justify-content: center;
    height: 400px;
    overflow-y: auto;
    margin-top: 10px;
}
#swiss-leaderboard table{
    width: 300px;
    table-layout: fixed;
}
th:nth-child(3) { width: 140px; }
#choose-table-block{
    margin-top: 10px;
}
#choose-table-block button{
    background-color: white;
    border: 1px solid gray;
    padding: 5px;
    cursor: pointer;
}
#choose-table-block button.not-pressed:hover{
    /* background-color: rgb(196 196 196 / 23%); */
    transform: scale(1.05);
}
#choose-table-block .new-table{
    border-radius: 20px 10px 10px 20px;
}
#choose-table-block .old-table{
    border-radius: 10px 20px 20px 10px;
}

#choose-table-block button.pressed{
    background-color: rgb(196 196 196 / 23%);
}
#swiss-old-table{
    display: none;
}
.room-title span{
    font-size: 16px;
    color: #0d4663;
    font-weight: 700;
    font-family: sans-serif;
    background-color: white;
    border-radius: 2px;
    padding: 5px;
}